POST api/departmentapi/add?siteId={siteId}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
siteId

globally unique identifier

None.

Body Parameters

DepartmentViewModel
NameDescriptionTypeAdditional information
active

boolean

Required

code

integer

Required

contract_id

globally unique identifier

Required

id

globally unique identifier

None.

item_wash_max

integer

None.

name

string

None.

remark

string

None.

selected_nameplate_id

globally unique identifier

None.

selected_sticker_id

globally unique identifier

None.

Request Formats

application/json, text/json

Sample:
{
  "active": true,
  "code": 2,
  "contract_id": "6a548211-0d53-43fa-81e6-936dddef65b6",
  "id": "3519c19e-5410-4a13-91dd-52cd31eb780a",
  "item_wash_max": 1,
  "name": "sample string 5",
  "remark": "sample string 6",
  "selected_nameplate_id": "0877f1df-0dc2-459f-b910-d61791338cb3",
  "selected_sticker_id": "90c5262b-3216-4646-ab7b-8bffa9b72240"
}

application/xml, text/xml

Sample:
<department xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
  <active>true</active>
  <code>2</code>
  <contract_id>6a548211-0d53-43fa-81e6-936dddef65b6</contract_id>
  <id>3519c19e-5410-4a13-91dd-52cd31eb780a</id>
  <item_wash_max>1</item_wash_max>
  <name>sample string 5</name>
  <remark>sample string 6</remark>
  <selected_nameplate_id>0877f1df-0dc2-459f-b910-d61791338cb3</selected_nameplate_id>
  <selected_sticker_id>90c5262b-3216-4646-ab7b-8bffa9b72240</selected_sticker_id>
</department>

application/x-www-form-urlencoded

Sample:

Failed to generate the sample for media type 'application/x-www-form-urlencoded'. Cannot use formatter 'JQueryMvcFormUrlEncodedFormatter' to write type 'DepartmentViewModel'.

Response Information

Resource Description

globally unique identifier

Response Formats

application/json, text/json

Sample:
"6de7c63a-c4cc-4214-b40c-5d4e2c2c65a5"

application/xml, text/xml

Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">6de7c63a-c4cc-4214-b40c-5d4e2c2c65a5</guid>